inputs:
  service-name:
    description: 'name of the service to build and upload'
    required: true
runs:
  using: "composite"
  steps:
    - uses: actions/checkout@v4
    - run: |
        mkdir -pv artifacts
        cargo build --release --bin ${{ inputs.service-name }}
        mv target/release/${{ inputs.service-name }} artifacts/
      shell: bash
    - uses: actions/upload-artifact@v3
      with:
        name: "${{ inputs.service-name }}"
        path: artifacts/